Which CodeWarrior version for PowerQUICC products?

cancel
Showing results for 
Search instead for 
Did you mean: 

Which CodeWarrior version for PowerQUICC products?

804 Views
kris1
Contributor I

Hi everyone,

I have a strong semiconductor background but am entirely new to the Freescale line. I inherited a project which involves roughly 10 different Power PC products, and I'm trying to find the correct IDE that can support all of them. I've spent a lot of time on NXP's site and Googling and just can't seem to find what I need. I know these are older products which is probably some of the difficulty. The first two products I'm trying to debug are the MPC885 and MPC8248, but I have products in all 3 versions of the PowerQUICC line (I, II, and III). I downloaded an evaluation version of CodeWarrior for Power Architecture products. See the version info below:

CodeWarrior for Power Architecture
Version: 10.5.2
Build Id:160624

However, when I create a project it doesn't have either of these processors available. Is there a patch I have to download or did I get the wrong version? Or is the evaluation version limited to certain processors? I'm happy to purchase licenses but want to make sure I have the right version beforehand.

Thanks for the help.

Tags (2)
0 Kudos
3 Replies

650 Views
kris1
Contributor I

Hi Alexander,

Thank you for your help. I've downloaded this project as you suggested and working on getting familiar with it.

This is obviously an old processor and with such comes old support tools. If I purchase a license for this tool, would I be able to integrate the compiler for the MPC885 into any other modern IDEs such as Eclipse? If not, do you know any vendors who offer the compiler for purchase that would operate in that manner?

Thank you,

Kris

0 Kudos

650 Views
alexander_yakov
NXP Employee
NXP Employee

We do not have an experience in integrating old CodeWarrior 8.8 compiler to modern Eclipse IDE.

Our current versions of CodeWarrior, including CodeWarrior for Power Architecture 10.5 you mentioned, is now based on Eclipse IDE, but this version of CodeWarrior does not support old processors. Note MPC885 is very old processor, announced more than 15 years ago, so we do not expect our customers will use this processor in new designs, I assume you are using this processor in some existing product. To support existing customer designs, we still offer old CodeWarrior 8.8 compiler with classic IDE, just to have a possibility to open old CodeWarrior project and make necessary changes, but we do not expect this old CodeWarrior 8.8 (or its compiler), will be used to develop a new software for MPC885, because the processor is very old. 

CodeWarrior compiler is known as most effective compiler for our Power Architecture processors, for other third-party software vendors please look processor product page, "Software & Tools" tab:

https://www.nxp.com/products/processors-and-microcontrollers/power-architecture-processors/powerquic...

0 Kudos

650 Views
alexander_yakov
NXP Employee
NXP Employee

For PowerQUICC (MPC8xx, MPC82xx, MPC83xx and MPC85xx) processors please old CodeWarrior v8.8 (with Classic IDE)

At this page:

https://www.nxp.com/support/developer-resources/software-development-tools/codewarrior-development-t...

Please find: "CodeWarrior Development Studio for PowerQUICC" and click "Evaluation" button to download.


Have a great day,
Alexander
TIC

-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

0 Kudos